Subject: Re: CCL:Re: fortran Compiler for Linux Box. Options?

From: David Konerding <[email-masked]>
Date: Tue, 09 Jun 1998 07:55:52 -0700

"William T. Rankin" writes:
>> I am willing to go freeware, but I would spend the money on
>> a good Fortran compiler to gain the performance. (I also believe
>> there is no freeware fortran compiler for f90 code!)
>
>I picked up some information form The Portland Group, who markets
>auto-parallelizing FORTRAN compilers for Linux.  You may want to
>look them up at http://www.pgroup.com/
>
>Now having said that, I will point out that even with the best
>tools, simply running a compiler over existing serial FORTRAN
>codes will most likely not produce highly scalable parallel code
>without some sort of programmer direction from within the source. 

Hi-

I've used both g77 the Portland Group compiler for AMBER 5.0 both with and
without MPI (message passing interface).  I've had excellent results using
Portland Group's compiler.  I didn't try the auto-parallelization, but I
did compile MPI with PG's C compiler and AMBER 5.0 with PG's f77 compiler.

Here are the results I got (times are in seconds) on my dual PPro 200MHz:

g77 opt -O6, ewald test:
496                        

g77 MPI opt -O6, dual proc, ewald test:
332

pgcc full opt, ewald test:
361

pgcc MPI full opt, dual proc, ewald test:       
253

So, dual processors with g77 is faster than one with PGF77, but 
PGF77 with dual processors is definitely the best.   Paralogic
is going to let me test on their 4 processor platforms-
if this code scales well on intels, it'd definitely be a much
cheaper way to get the performance we need.

Dave
-----------------------------------------------------------------------------
Email: [email-masked]   David Konerding   WWW: http://picasso.ucsf.edu/~dek
-----------------------------------------------------------------------------